# File Transfer Interval

You can upload file to cloud using this App.
Check below config option 

## OS

![Ubuntu](https://img.shields.io/badge/Ubuntu-E95420?style=for-the-badge&logo=ubuntu&logoColor=white)   
- 20.04 LTS : :heavy_check_mark:
- 22.04 LTS : :heavy_check_mark:

![Rocky Linux](https://img.shields.io/badge/-Rocky%20Linux-%2310B981?style=for-the-badge&logo=rockylinux&logoColor=white)

- None

![Windows](https://img.shields.io/badge/Windows-0078D6?style=for-the-badge&logo=windows&logoColor=white)

- None 


## option_list

### option **explain**
```json
{
  "Minio_url": Object Storage URL <str>,
  "AccessKey": Object Storage AccessKey <str>,
  "SecretKey": Object Storage SecretKey <str>,
  "Boto3SignatureVersion": "s3v4" <str>,
  "Boto3RegionName":"us-east-1" <str>,
  "BucketName":"gseps-test-a",
  "file_save_path": folder path what you want to upload <str>,
  "send_json_flag": if is true, json file will be send to amqp <bool>,
  "delete_sended_file_flag": if is true, after upload, file will be deleted <bool>,
  "send_interval": time interval to upload <int>,
  "amqp_url": amqp url <str>,
  "amqp_port": amqp port <int>,
  "amqp_vhost": amqp_vhost <str>,
  "amqp_id": amqp id <str>,
  "amqp_pw": amqp password <str>,
  "amqp_queue": queue_name in amqp <str>
}
```


### example json
```json
{
  "amqp_url": "13.209.39.139",
  "amqp_port": 30747,
  "amqp_vhost": "/",
  "amqp_id": "sdt",
  "amqp_pw": "251327",
  "amqp_queue": "gseps-mq",
  "Minio_url": "http://13.209.39.139:31191",
  "AccessKey":"VV2gooVNevRAIg7HrXQr",
  "SecretKey":"epJmFWxwfzUUgYeyDqLa8ouitHZaWTwAvPfPNUBL",
  "Boto3SignatureVersion":"s3v4",
  "Boto3RegionName":"us-east-1",
  "BucketName":"gseps-test-a",
  "file_save_path": "/home/sdt/Workspace/gseps/capture/",
  "send_json_flag": true,
  "delete_sended_file_flag": true,
  "send_interval":30
}
``````



